﻿namespace Entities
{
    public class LessonEntity
    {
        public int Id { get; set; }
        public string? Title { get; set; }
        public string? LastPublisher { get; set; }
        public DateOnly? LastEdit { get; set; }

        public LessonEntity() { }

        public LessonEntity(int id)
        {
            Id = id;
        }
        public LessonEntity(int id, string title, string lastPublisher, DateOnly? lastEdit)
        {
            Id = id;
            Title = title;
            LastPublisher = lastPublisher;
            LastEdit = lastEdit;
        }

        public LessonEntity(string title, string lastPublisher, DateOnly? lastEdit)
        {
            Title = title;
            LastPublisher = lastPublisher;
            LastEdit = lastEdit;
        }
    }
}
